Bug 1341970 - javareconf fails, because libssh2-devel is missing
Summary: javareconf fails, because libssh2-devel is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: R
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 07:42 UTC by Götz Waschk
Modified: 2016-07-06 04:18 UTC (History)
1 user (show)

Fixed In Version: R-3.3.0-5.el6 R-3.3.0-10.el5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-06 04:18:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Götz Waschk 2016-06-02 07:42:16 UTC
Description of problem:

In the recent R update, the call of javareconf in the postinstall of R-core fails, because it tries to compile a program against -lssh2 and there is no dep on libssh2-devel

Version-Release number of selected component (if applicable):
3.3.0-3.el6

How reproducible:
always

Steps to Reproduce:
1. clean install of R
2. try to install a Java based package like rJava
3.

Actual results:
it fails to build

Expected results:


Additional info:
# R CMD javareconf \
>     JAVA_HOME=/usr/lib/jvm/jre \
>     JAVA_CPPFLAGS='-I/usr/lib/jvm/java/include\ -I/usr/lib/jvm/java/include/linux' \
>     JAVA_LIBS='-L/usr/lib/jvm/jre/lib/amd64/server \
>     -L/usr/lib/jvm/jre/lib/amd64\ -L/usr/lib/jvm/java/lib/amd64 \
>     -L/usr/java/packages/lib/amd64\ -L/lib\ -L/usr/lib\ -ljvm' \
>     JAVA_LD_LIBRARY_PATH=/usr/lib/jvm/jre/lib/amd64/server:/usr/lib/jvm/jre/lib/amd64:/usr/lib/jvm/java/lib/amd64:/usr/java/packages/lib/amd64:/lib:/usr/lib
/usr/lib64/R/bin/javareconf: Zeile 66:  -L/usr/lib/jvm/jre/lib/amd64 -L/usr/lib/jvm/java/lib/amd64: Datei oder Verzeichnis nicht gefunden
Java interpreter : /usr/bin/java
Java version     : 1.8.0_92
Java home path   : /usr/lib/jvm/jre
Java compiler    : /usr/bin/javac
Java headers gen.: /usr/bin/javah
Java archive tool: /usr/bin/jar

trying to compile and link a JNI program 
detected JNI cpp flags    : -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux
detected JNI linker flags : -L/usr/lib/jvm/java-1.8.0-oracle-1.8.0.92/jre/lib/amd64/server -ljvm
gcc -m64 -std=gnu99 -I/usr/include/R -DNDEBUG -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I/usr/local/include    -fpic  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fpic -fPIC   -c conftest.c -o conftest.o
gcc -m64 -std=gnu99 -shared -L/usr/lib64/R/lib -ldl -lpthread -lc -lrt -lcurl -lidn -lssh2 -lssh2 -lssl -lcrypto -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lldap -lz -lrt -o conftest.so conftest.o -L/usr/lib/jvm/java-1.8.0-oracle-1.8.0.92/jre/lib/amd64/server -ljvm -L/usr/lib64/R/lib -lR
/usr/bin/ld: cannot find -lssh2
collect2: ld gab 1 als Ende-Status zurück
make: *** [conftest.so] Fehler 1
Unable to compile a JNI program


JAVA_HOME        : /usr/lib/jvm/jre
Java library path: 
JNI cpp flags    : 
JNI linker flags : 
Updating Java configuration in /usr/lib64/R
Done.

Comment 1 Fedora Update System 2016-06-06 18:40:25 UTC
R-3.3.0-5.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea9aef57fc

Comment 2 Fedora Update System 2016-06-06 18:40:34 UTC
R-3.3.0-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-93778a4eeb

Comment 3 Fedora Update System 2016-06-07 01:47:20 UTC
R-3.3.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-93778a4eeb

Comment 4 Fedora Update System 2016-06-07 01:48:05 UTC
R-3.3.0-5.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea9aef57fc

Comment 5 Götz Waschk 2016-06-07 08:03:42 UTC
The package in testing worked for me.

Comment 6 Fedora Update System 2016-06-07 16:14:26 UTC
R-3.3.0-6.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-050c4e8af7

Comment 7 Fedora Update System 2016-06-08 05:17:54 UTC
R-3.3.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-08 05:46:13 UTC
R-3.3.0-6.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-050c4e8af7

Comment 9 Fedora Update System 2016-06-09 16:00:48 UTC
R-3.3.0-8.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-09c8007e64

Comment 10 Fedora Update System 2016-06-10 07:16:02 UTC
R-3.3.0-8.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-09c8007e64

Comment 11 Fedora Update System 2016-06-11 19:59:28 UTC
R-3.3.0-10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-367d157bc6

Comment 12 Fedora Update System 2016-06-12 23:16:59 UTC
R-3.3.0-10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-367d157bc6

Comment 13 Fedora Update System 2016-07-06 04:18:02 UTC
R-3.3.0-10.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.